diff --git a/ldap/servers/slapd/str2filter.c b/ldap/servers/slapd/str2filter.c
index 8117796..ae5a577 100644
--- a/ldap/servers/slapd/str2filter.c
+++ b/ldap/servers/slapd/str2filter.c
@@ -30,7 +30,7 @@ slapi_str2filter( char *str )
 	struct slapi_filter	*f = NULL;
 	char		*end;
 
-	LDAPDebug( LDAP_DEBUG_FILTER, "slapi_str2filter \"%s\"\n", str, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "slapi_str2filter \"%s\"\n", str, 0, 0 );
 
 	if ( str == NULL || *str == '\0' ) {
 		return( NULL );
@@ -98,7 +98,7 @@ str2list( char *str, unsigned long ftype )
 	char		*next;
 	char		save;
 
-	LDAPDebug( LDAP_DEBUG_FILTER, "str2list \"%s\"\n", str, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "str2list \"%s\"\n", str, 0, 0 );
 
 	f = (struct slapi_filter *) slapi_ch_calloc( 1, sizeof(struct slapi_filter) );
 	f->f_choice = ftype;
@@ -312,7 +312,7 @@ str2simple( char *str , int unescape_filter)
 	char		*s;
 	char		*value, savechar;
 
-	LDAPDebug( LDAP_DEBUG_FILTER, "str2simple \"%s\"\n", str, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "str2simple \"%s\"\n", str, 0, 0 );
 
 	PR_ASSERT(str);
 
@@ -433,7 +433,7 @@ str2subvals( char *val, struct slapi_filter *f, int unescape_filter )
 	int	gotstar;
 	size_t  len, outlen;
 
-	LDAPDebug( LDAP_DEBUG_FILTER, "str2subvals \"%s\"\n", val, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "str2subvals \"%s\"\n", val, 0, 0 );
 
 	gotstar = 0;
 	while ( val != NULL && *val ) {
diff --git a/ldap/servers/slapd/stubs.c b/ldap/servers/slapd/stubs.c
index cb960ac..778552a 100644
--- a/ldap/servers/slapd/stubs.c
+++ b/ldap/servers/slapd/stubs.c
@@ -29,7 +29,7 @@ void *PT_Lock( PRLock *x_mutex )
 
 int lcache_init(LDAP *ld, void *arg)
 {
-	LDAPDebug(LDAP_DEBUG_ANY, 
+	LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, 
 		"lcache_init: Shouldn't have been called\n", 0,0,0);
 	return -1;
 }
diff --git a/ldap/servers/slapd/task.c b/ldap/servers/slapd/task.c
index 405f0bf..08a6247 100644
--- a/ldap/servers/slapd/task.c
+++ b/ldap/servers/slapd/task.c
@@ -508,7 +508,7 @@ slapi_plugin_task_register_handler(const char *name, dseCallbackFn func, Slapi_P
     slapi_add_internal_pb(add_pb);
     slapi_pblock_get(add_pb, SLAPI_PLUGIN_INTOP_RESULT, &x);
     if ((x != LDAP_SUCCESS) && (x != LDAP_ALREADY_EXISTS)) {
-        LDAPDebug(LDAP_DEBUG_ANY,
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                   "Can't create task node '%s' (error %d)\n",
                   name, x, 0);
         ret = x;
@@ -686,14 +686,14 @@ static Slapi_Entry *get_internal_entry(Slapi_PBlock *pb, char *dn)
     slapi_search_internal_pb(pb);
     slapi_pblock_get(pb, SLAPI_PLUGIN_INTOP_RESULT, &ret);
     if (ret != LDAP_SUCCESS) {
-        LDAPDebug(LDAP_DEBUG_ANY, "WARNING: can't find task entry '%s'\n",
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "WARNING: can't find task entry '%s'\n",
                   dn, 0, 0);
         return NULL;
     }
 
     slapi_pblock_get(pb, SLAPI_PLUGIN_INTOP_SEARCH_ENTRIES, &entries);
     if ((NULL == entries) || (NULL == entries[0])) {
-        LDAPDebug(LDAP_DEBUG_ANY, "WARNING: can't find task entry '%s'\n",
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "WARNING: can't find task entry '%s'\n",
                   dn, 0, 0);
         return NULL;
     }
@@ -733,7 +733,7 @@ static void modify_internal_entry(char *dn, LDAPMod **mods)
              */
             tries++;
             if (tries == 3) {
-                LDAPDebug(LDAP_DEBUG_ANY, "WARNING: can't modify task "
+                LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "WARNING: can't modify task "
                         "entry '%s'; %s (%d)\n", dn, ldap_err2string(ret), ret);
                 pblock_done(&pb);
                 return;
@@ -815,7 +815,7 @@ static int task_modify(Slapi_PBlock *pb, Slapi_Entry *e,
             task->task_state = SLAPI_TASK_CANCELLED;
             if (task->cancel) {
                 (*task->cancel)(task);
-                LDAPDebug(LDAP_DEBUG_ANY, "Cancelling task '%s'\n",
+                LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Cancelling task '%s'\n",
                           fetch_attr(eAfter, "cn", "?"), 0, 0);
             }
         }
@@ -886,7 +886,7 @@ static int task_import_add(Slapi_PBlock *pb, Slapi_Entry *e,
 
         if (slapi_lookup_instance_name_by_suffixes(include, exclude,
                                                    &instances) < 0) {
-            LDAPDebug(LDAP_DEBUG_ANY,
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                       "ERROR: No backend instance is specified.\n", 0, 0, 0);
             *returncode = LDAP_OBJECT_CLASS_VIOLATION;
             return SLAPI_DSE_CALLBACK_ERROR;
@@ -902,12 +902,12 @@ static int task_import_add(Slapi_PBlock *pb, Slapi_Entry *e,
                 
             }
             else if (counter == 0) {
-                LDAPDebug(LDAP_DEBUG_ANY,
+                LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                           "ERROR: No backend instance is specified.\n", 0, 0, 0);
                 *returncode = LDAP_OBJECT_CLASS_VIOLATION;
                 return SLAPI_DSE_CALLBACK_ERROR;
             } else {
-                LDAPDebug(LDAP_DEBUG_ANY,
+                LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                           "ERROR: Multiple backend instances are specified: "
                           "%s, %s, ...\n", instances[0], instances[1], 0);
                 *returncode = LDAP_OBJECT_CLASS_VIOLATION;
@@ -922,7 +922,7 @@ static int task_import_add(Slapi_PBlock *pb, Slapi_Entry *e,
     /* lookup the backend */
     be = slapi_be_select_by_instance_name(instance_name);
     if (be == NULL) {
-        LDAPDebug(LDAP_DEBUG_ANY, "can't import to nonexistent backend %s\n",
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "can't import to nonexistent backend %s\n",
                   instance_name, 0, 0);
         slapi_ch_free_string(&nameFrombe_name);
         *returncode = LDAP_NO_SUCH_OBJECT;
@@ -933,14 +933,14 @@ static int task_import_add(Slapi_PBlock *pb, Slapi_Entry *e,
      * for DS 5.0 where the import/export stuff changed a lot.
      */
     if (! SLAPI_PLUGIN_IS_V3(be->be_database)) {
-        LDAPDebug(LDAP_DEBUG_ANY, "can't perform an import with pre-V3 "
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "can't perform an import with pre-V3 "
                   "backend plugin %s\n", be->be_database->plg_name, 0, 0);
         *returncode = LDAP_UNWILLING_TO_PERFORM;
         slapi_ch_free_string(&nameFrombe_name);
         return SLAPI_DSE_CALLBACK_ERROR;
     }
     if (be->be_database->plg_ldif2db == NULL) {
-        LDAPDebug(LDAP_DEBUG_ANY, "ERROR: no ldif2db function defined for "
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "ERROR: no ldif2db function defined for "
                   "backend %s\n", be->be_database->plg_name, 0, 0);
         *returncode = LDAP_UNWILLING_TO_PERFORM;
         slapi_ch_free_string(&nameFrombe_name);
@@ -974,7 +974,7 @@ static int task_import_add(Slapi_PBlock *pb, Slapi_Entry *e,
     /* allocate new task now */
     task = slapi_new_task(slapi_entry_get_ndn(e));
     if (task == NULL) {
-        LDAPDebug(LDAP_DEBUG_ANY, "unable to allocate new task!\n", 0, 0, 0);
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "unable to allocate new task!\n", 0, 0, 0);
         rv = LDAP_OPERATIONS_ERROR;
         goto out;
     }
@@ -1044,7 +1044,7 @@ static void task_export_thread(void *arg)
         be = slapi_be_select_by_instance_name((const char *)*inp);
         if (be == NULL) {
             /* shouldn't happen */
-            LDAPDebug(LDAP_DEBUG_ANY, "ldbm2ldif: backend '%s' is AWOL!\n",
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "ldbm2ldif: backend '%s' is AWOL!\n",
                       (const char *)*inp, 0, 0);
             continue;
         }
@@ -1085,13 +1085,13 @@ static void task_export_thread(void *arg)
         }
 
         slapi_task_log_notice(task, "Beginning export of '%s'", *inp);
-        LDAPDebug(LDAP_DEBUG_ANY, "Beginning export of '%s'\n", *inp, 0, 0);
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Beginning export of '%s'\n", *inp, 0, 0);
 
         rv = (*pb->pb_plugin->plg_db2ldif)(pb);
         if (rv != 0) {
             slapi_task_log_notice(task, "backend '%s' export failed (%d)",
                                   *inp, rv);
-            LDAPDebug(LDAP_DEBUG_ANY,
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                       "ldbm2ldif: backend '%s' export failed (%d)\n",
                       (const char *)*inp, rv, 0);
         }
@@ -1115,10 +1115,10 @@ static void task_export_thread(void *arg)
 
     if (rv == 0) {
         slapi_task_log_notice(task, "Export finished.");
-        LDAPDebug(LDAP_DEBUG_ANY, "Export finished.\n", 0, 0, 0);
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Export finished.\n", 0, 0, 0);
     } else {
         slapi_task_log_notice(task, "Export failed.");
-        LDAPDebug(LDAP_DEBUG_ANY, "Export failed.\n", 0, 0, 0);
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Export failed.\n", 0, 0, 0);
     }
 
     slapi_task_finish(task, rv);
@@ -1199,7 +1199,7 @@ static int task_export_add(Slapi_PBlock *pb, Slapi_Entry *e,
 
         if (slapi_lookup_instance_name_by_suffixes(include, exclude,
                                                    &instance_names) < 0) {
-            LDAPDebug(LDAP_DEBUG_ANY,
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                       "ERROR: No backend instance is specified.\n", 0, 0, 0);
             *returncode = LDAP_OBJECT_CLASS_VIOLATION;
             rv = SLAPI_DSE_CALLBACK_ERROR;
@@ -1212,14 +1212,14 @@ static int task_export_add(Slapi_PBlock *pb, Slapi_Entry *e,
                 ;
 
             if (instance_cnt == 0) {
-                LDAPDebug(LDAP_DEBUG_ANY,
+                LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                           "ERROR: No backend instance is specified.\n", 0, 0, 0);
                 *returncode = LDAP_OBJECT_CLASS_VIOLATION;
                 rv = SLAPI_DSE_CALLBACK_ERROR;
                 goto out;
             }
         } else {
-            LDAPDebug(LDAP_DEBUG_ANY,
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                       "ERROR: No backend instance is specified.\n", 0, 0, 0);
             *returncode = LDAP_OBJECT_CLASS_VIOLATION;
             rv = SLAPI_DSE_CALLBACK_ERROR;
@@ -1280,7 +1280,7 @@ static int task_export_add(Slapi_PBlock *pb, Slapi_Entry *e,
         /* lookup the backend */
         be = slapi_be_select_by_instance_name((const char *)*inp);
         if (be == NULL) {
-            LDAPDebug(LDAP_DEBUG_ANY,
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                       "can't export to nonexistent backend %s\n", *inp, 0, 0);
             *returncode = LDAP_NO_SUCH_OBJECT;
             rv = SLAPI_DSE_CALLBACK_ERROR;
@@ -1291,14 +1291,14 @@ static int task_export_add(Slapi_PBlock *pb, Slapi_Entry *e,
          * for DS 5.0 where the import/export stuff changed a lot.
          */
         if (! SLAPI_PLUGIN_IS_V3(be->be_database)) {
-            LDAPDebug(LDAP_DEBUG_ANY, "can't perform an export with pre-V3 "
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "can't perform an export with pre-V3 "
                       "backend plugin %s\n", be->be_database->plg_name, 0, 0);
             *returncode = LDAP_UNWILLING_TO_PERFORM;
             rv = SLAPI_DSE_CALLBACK_ERROR;
             goto out;
         }
         if (be->be_database->plg_db2ldif == NULL) {
-            LDAPDebug(LDAP_DEBUG_ANY, "ERROR: no db2ldif function defined for "
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "ERROR: no db2ldif function defined for "
                       "backend %s\n", be->be_database->plg_name, 0, 0);
             *returncode = LDAP_UNWILLING_TO_PERFORM;
             rv = SLAPI_DSE_CALLBACK_ERROR;
@@ -1309,7 +1309,7 @@ static int task_export_add(Slapi_PBlock *pb, Slapi_Entry *e,
     /* allocate new task now */
     task = slapi_new_task(slapi_entry_get_ndn(e));
     if (task == NULL) {
-        LDAPDebug(LDAP_DEBUG_ANY, "unable to allocate new task!\n", 0, 0, 0);
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "unable to allocate new task!\n", 0, 0, 0);
         *returncode = LDAP_OPERATIONS_ERROR;
         rv = SLAPI_DSE_CALLBACK_ERROR;
         goto out;
@@ -1340,7 +1340,7 @@ static int task_export_add(Slapi_PBlock *pb, Slapi_Entry *e,
                         (void *)mypb, PR_PRIORITY_NORMAL, PR_GLOBAL_THREAD,
                         PR_UNJOINABLE_THREAD, SLAPD_DEFAULT_THREAD_STACKSIZE);
     if (thread == NULL) {
-        LDAPDebug(LDAP_DEBUG_ANY,
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                   "unable to create ldbm2ldif thread!\n", 0, 0, 0);
         *returncode = LDAP_OPERATIONS_ERROR;
         rv = SLAPI_DSE_CALLBACK_ERROR;
@@ -1377,18 +1377,18 @@ static void task_backup_thread(void *arg)
 
     slapi_task_log_notice(task, "Beginning backup of '%s'",
                           pb->pb_plugin->plg_name);
-    LDAPDebug(LDAP_DEBUG_ANY, "Beginning backup of '%s'\n",
+    LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Beginning backup of '%s'\n",
               pb->pb_plugin->plg_name, 0, 0);
 
     rv = (*pb->pb_plugin->plg_db2archive)(pb);
     if (rv != 0) {
         slapi_task_log_notice(task, "Backup failed (error %d)", rv);
         slapi_task_log_status(task, "Backup failed (error %d)", rv);
-        LDAPDebug(LDAP_DEBUG_ANY, "Backup failed (error %d)\n", rv, 0, 0);
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Backup failed (error %d)\n", rv, 0, 0);
     } else {
         slapi_task_log_notice(task, "Backup finished.");
         slapi_task_log_status(task, "Backup finished.");
-        LDAPDebug(LDAP_DEBUG_ANY, "Backup finished.\n", 0, 0, 0);
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Backup finished.\n", 0, 0, 0);
     }
 
     slapi_task_finish(task, rv);
@@ -1440,7 +1440,7 @@ static int task_backup_add(Slapi_PBlock *pb, Slapi_Entry *e,
     }
     slapi_ch_free_string(&cookie);
     if (NULL == be || NULL == be->be_database->plg_db2archive) {
-        LDAPDebug(LDAP_DEBUG_ANY,
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                   "ERROR: no db2archive function defined.\n", 0, 0, 0);
         *returncode = LDAP_UNWILLING_TO_PERFORM;
         rv = SLAPI_DSE_CALLBACK_ERROR;
@@ -1448,7 +1448,7 @@ static int task_backup_add(Slapi_PBlock *pb, Slapi_Entry *e,
     }
 
     if (! SLAPI_PLUGIN_IS_V3(be->be_database)) {
-        LDAPDebug(LDAP_DEBUG_ANY, "can't perform an backup with pre-V3 "
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "can't perform an backup with pre-V3 "
                   "backend plugin %s\n", be->be_database->plg_name, 0, 0);
         *returncode = LDAP_UNWILLING_TO_PERFORM;
         rv = SLAPI_DSE_CALLBACK_ERROR;
@@ -1458,7 +1458,7 @@ static int task_backup_add(Slapi_PBlock *pb, Slapi_Entry *e,
     /* allocate new task now */
     task = slapi_new_task(slapi_entry_get_ndn(e));
     if (task == NULL) {
-        LDAPDebug(LDAP_DEBUG_ANY, "unable to allocate new task!\n", 0, 0, 0);
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "unable to allocate new task!\n", 0, 0, 0);
         *returncode = LDAP_OPERATIONS_ERROR;
         rv = SLAPI_DSE_CALLBACK_ERROR;
         goto out;
@@ -1480,7 +1480,7 @@ static int task_backup_add(Slapi_PBlock *pb, Slapi_Entry *e,
                              (void *)mypb, PR_PRIORITY_NORMAL, PR_GLOBAL_THREAD,
                              PR_UNJOINABLE_THREAD, SLAPD_DEFAULT_THREAD_STACKSIZE);
     if (thread == NULL) {
-        LDAPDebug(LDAP_DEBUG_ANY,
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                   "unable to create backup thread!\n", 0, 0, 0);
         *returncode = LDAP_OPERATIONS_ERROR;
         rv = SLAPI_DSE_CALLBACK_ERROR;
@@ -1511,18 +1511,18 @@ static void task_restore_thread(void *arg)
 
     slapi_task_log_notice(task, "Beginning restore to '%s'",
                           pb->pb_plugin->plg_name);
-    LDAPDebug(LDAP_DEBUG_ANY, "Beginning restore to '%s'\n",
+    LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Beginning restore to '%s'\n",
               pb->pb_plugin->plg_name, 0, 0);
 
     rv = (*pb->pb_plugin->plg_archive2db)(pb);
     if (rv != 0) {
         slapi_task_log_notice(task, "Restore failed (error %d)", rv);
         slapi_task_log_status(task, "Restore failed (error %d)", rv);
-        LDAPDebug(LDAP_DEBUG_ANY, "Restore failed (error %d)\n", rv, 0, 0);
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Restore failed (error %d)\n", rv, 0, 0);
     } else {
         slapi_task_log_notice(task, "Restore finished.");
         slapi_task_log_status(task, "Restore finished.");
-        LDAPDebug(LDAP_DEBUG_ANY, "Restore finished.\n", 0, 0, 0);
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Restore finished.\n", 0, 0, 0);
     }
 
     slapi_task_finish(task, rv);
@@ -1578,7 +1578,7 @@ static int task_restore_add(Slapi_PBlock *pb, Slapi_Entry *e,
     }
     slapi_ch_free_string(&cookie);
     if (NULL == be || NULL == be->be_database->plg_archive2db) {
-        LDAPDebug(LDAP_DEBUG_ANY,
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                   "ERROR: no archive2db function defined.\n", 0, 0, 0);
         *returncode = LDAP_UNWILLING_TO_PERFORM;
         rv = SLAPI_DSE_CALLBACK_ERROR;
@@ -1589,7 +1589,7 @@ static int task_restore_add(Slapi_PBlock *pb, Slapi_Entry *e,
      * for DS 5.0 where the import/export stuff changed a lot.
      */
     if (! SLAPI_PLUGIN_IS_V3(be->be_database)) {
-        LDAPDebug(LDAP_DEBUG_ANY, "can't perform an restore with pre-V3 "
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "can't perform an restore with pre-V3 "
                   "backend plugin %s\n", be->be_database->plg_name, 0, 0);
         *returncode = LDAP_UNWILLING_TO_PERFORM;
         rv = SLAPI_DSE_CALLBACK_ERROR;
@@ -1599,7 +1599,7 @@ static int task_restore_add(Slapi_PBlock *pb, Slapi_Entry *e,
     /* allocate new task now */
     task = slapi_new_task(slapi_entry_get_ndn(e));
     if (task == NULL) {
-        LDAPDebug(LDAP_DEBUG_ANY, "unable to allocate new task!\n", 0, 0, 0);
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "unable to allocate new task!\n", 0, 0, 0);
         *returncode = LDAP_OPERATIONS_ERROR;
         rv = SLAPI_DSE_CALLBACK_ERROR;
         goto out;
@@ -1623,7 +1623,7 @@ static int task_restore_add(Slapi_PBlock *pb, Slapi_Entry *e,
                              (void *)mypb, PR_PRIORITY_NORMAL, PR_GLOBAL_THREAD,
                              PR_UNJOINABLE_THREAD, SLAPD_DEFAULT_THREAD_STACKSIZE);
     if (thread == NULL) {
-        LDAPDebug(LDAP_DEBUG_ANY,
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                   "unable to create restore thread!\n", 0, 0, 0);
         *returncode = LDAP_OPERATIONS_ERROR;
         rv = SLAPI_DSE_CALLBACK_ERROR;
@@ -1657,7 +1657,7 @@ static void task_index_thread(void *arg)
     if (rv != 0) {
         slapi_task_log_notice(task, "Index failed (error %d)", rv);
         slapi_task_log_status(task, "Index failed (error %d)", rv);
-        LDAPDebug(LDAP_DEBUG_ANY, "Index failed (error %d)\n", rv, 0, 0);
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Index failed (error %d)\n", rv, 0, 0);
     }
 
     slapi_task_finish(task, rv);
@@ -1696,13 +1696,13 @@ static int task_index_add(Slapi_PBlock *pb, Slapi_Entry *e,
     /* lookup the backend */
     be = slapi_be_select_by_instance_name(instance_name);
     if (be == NULL) {
-        LDAPDebug(LDAP_DEBUG_ANY, "can't import to nonexistent backend %s\n",
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "can't import to nonexistent backend %s\n",
                   instance_name, 0, 0);
         *returncode = LDAP_NO_SUCH_OBJECT;
         return SLAPI_DSE_CALLBACK_ERROR;
     }
     if (be->be_database->plg_db2index == NULL) {
-        LDAPDebug(LDAP_DEBUG_ANY, "ERROR: no db2index function defined for "
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "ERROR: no db2index function defined for "
                   "backend %s\n", be->be_database->plg_name, 0, 0);
         *returncode = LDAP_UNWILLING_TO_PERFORM;
         return SLAPI_DSE_CALLBACK_ERROR;
@@ -1735,7 +1735,7 @@ static int task_index_add(Slapi_PBlock *pb, Slapi_Entry *e,
     }
 
     if (NULL == indexlist) {
-        LDAPDebug(LDAP_DEBUG_ANY, "no index is specified!\n", 0, 0, 0);
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "no index is specified!\n", 0, 0, 0);
         *returncode = LDAP_OPERATIONS_ERROR;
         rv = SLAPI_DSE_CALLBACK_OK;
         goto out;
@@ -1744,7 +1744,7 @@ static int task_index_add(Slapi_PBlock *pb, Slapi_Entry *e,
     /* allocate new task now */
     task = slapi_new_task(slapi_entry_get_ndn(e));
     if (task == NULL) {
-        LDAPDebug(LDAP_DEBUG_ANY, "unable to allocate new task!\n", 0, 0, 0);
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "unable to allocate new task!\n", 0, 0, 0);
         *returncode = LDAP_OPERATIONS_ERROR;
         rv = SLAPI_DSE_CALLBACK_ERROR;
         goto out;
@@ -1768,7 +1768,7 @@ static int task_index_add(Slapi_PBlock *pb, Slapi_Entry *e,
                              (void *)mypb, PR_PRIORITY_NORMAL, PR_GLOBAL_THREAD,
                              PR_UNJOINABLE_THREAD, SLAPD_DEFAULT_THREAD_STACKSIZE);
     if (thread == NULL) {
-        LDAPDebug(LDAP_DEBUG_ANY,
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                   "unable to create index thread!\n", 0, 0, 0);
         rv = SLAPI_DSE_CALLBACK_ERROR;
         slapi_ch_free((void **)&mypb->pb_instance_name);
@@ -1835,7 +1835,7 @@ task_upgradedb_add(Slapi_PBlock *pb, Slapi_Entry *e, Slapi_Entry *eAfter,
     }
     slapi_ch_free_string(&cookie);
     if (NULL == be) {
-        LDAPDebug(LDAP_DEBUG_ANY,
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                   "ERROR: no upgradedb is defined.\n", 0, 0, 0);
         *returncode = LDAP_UNWILLING_TO_PERFORM;
         rv = SLAPI_DSE_CALLBACK_ERROR;
@@ -1843,7 +1843,7 @@ task_upgradedb_add(Slapi_PBlock *pb, Slapi_Entry *e, Slapi_Entry *eAfter,
     }
     if (NULL == be->be_database->plg_upgradedb ||
         strcasecmp(database_type, be->be_database->plg_name)) {
-        LDAPDebug(LDAP_DEBUG_ANY,
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                   "ERROR: no upgradedb is defined in %s.\n",
                   be->be_database->plg_name, 0, 0);
         *returncode = LDAP_UNWILLING_TO_PERFORM;
@@ -1854,7 +1854,7 @@ task_upgradedb_add(Slapi_PBlock *pb, Slapi_Entry *e, Slapi_Entry *eAfter,
     /* allocate new task now */
     task = slapi_new_task(slapi_entry_get_ndn(e));
     if (task == NULL) {
-        LDAPDebug(LDAP_DEBUG_ANY, "unable to allocate new task!\n", 0, 0, 0);
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "unable to allocate new task!\n", 0, 0, 0);
         *returncode = LDAP_OPERATIONS_ERROR;
         rv = SLAPI_DSE_CALLBACK_ERROR;
         goto out;
@@ -1931,7 +1931,7 @@ task_sysconfig_reload_add(Slapi_PBlock *pb, Slapi_Entry *e, Slapi_Entry *eAfter,
         *returncode = LDAP_OPERATIONS_ERROR;
         PR_snprintf (returntext, SLAPI_DSE_RETURNTEXT_SIZE, "missing required attribute \"%s\".",
                      TASK_SYSCONFIG_FILE_ATTR);
-        LDAPDebug(LDAP_DEBUG_ANY, "sysconfig reload task: %s\n", returntext, 0, 0);
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "sysconfig reload task: %s\n", returntext, 0, 0);
         rc = SLAPI_DSE_CALLBACK_ERROR;
         goto done;
     }
@@ -1946,7 +1946,7 @@ task_sysconfig_reload_add(Slapi_PBlock *pb, Slapi_Entry *e, Slapi_Entry *eAfter,
         char *end_of_line = line + sizeof(line) - 1;
 
         if(logchanges){
-            LDAPDebug(LDAP_DEBUG_ANY, "sysconfig reload task: processing file (%s)\n",
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "sysconfig reload task: processing file (%s)\n",
                       filename, 0 , 0);
         }
 
@@ -2059,12 +2059,12 @@ task_sysconfig_reload_add(Slapi_PBlock *pb, Slapi_Entry *e, Slapi_Entry *eAfter,
                     if(setenv(env_var, env_value, 1) != 0){
                         *returncode = LDAP_OPERATIONS_ERROR;
                         PR_snprintf (returntext, SLAPI_DSE_RETURNTEXT_SIZE,"failed to set (%s)", env_var);
-                        LDAPDebug(LDAP_DEBUG_ANY, "sysconfig reload task: %s\n",returntext,0,0);
+                        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "sysconfig reload task: %s\n",returntext,0,0);
                         rc = SLAPI_DSE_CALLBACK_ERROR;
                         break;
                     }
                     if(logchanges){
-                        LDAPDebug(LDAP_DEBUG_ANY, "sysconfig reload task: set (%s) to (%s)\n",
+                        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "sysconfig reload task: set (%s) to (%s)\n",
                                   env_var, env_value , 0);
                     }
                 }
@@ -2075,7 +2075,7 @@ task_sysconfig_reload_add(Slapi_PBlock *pb, Slapi_Entry *e, Slapi_Entry *eAfter,
         *returncode = LDAP_OPERATIONS_ERROR;
         PR_snprintf (returntext, SLAPI_DSE_RETURNTEXT_SIZE,"failed to open file \"%s\" (%s)",
                 filename, strerror(errno));
-        LDAPDebug(LDAP_DEBUG_ANY, "sysconfig reload task: %s\n", returntext, 0, 0);
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "sysconfig reload task: %s\n", returntext, 0, 0);
         rc = SLAPI_DSE_CALLBACK_ERROR;
     }
 
@@ -2389,7 +2389,7 @@ task_fixup_tombstones_add(Slapi_PBlock *pb, Slapi_Entry *e, Slapi_Entry *eAfter,
                              (void *)task_data, PR_PRIORITY_NORMAL, PR_GLOBAL_THREAD,
                              PR_UNJOINABLE_THREAD, SLAPD_DEFAULT_THREAD_STACKSIZE);
     if (thread == NULL) {
-        LDAPDebug(LDAP_DEBUG_ANY,
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                   "task_fixup_tombstones_add: unable to create index thread!\n", 0, 0, 0);
         *returncode = LDAP_OPERATIONS_ERROR;
         slapi_task_finish(task, *returncode);
@@ -2785,7 +2785,7 @@ void task_cleanup(void)
     slapi_search_internal_pb(pb);
     slapi_pblock_get(pb, SLAPI_PLUGIN_INTOP_RESULT, &ret);
     if (ret != LDAP_SUCCESS) {
-        LDAPDebug(LDAP_DEBUG_ANY, "WARNING: entire cn=tasks tree seems to "
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "WARNING: entire cn=tasks tree seems to "
                   "be AWOL!\n", 0, 0, 0);
         slapi_pblock_destroy(pb);
         return;
@@ -2793,7 +2793,7 @@ void task_cleanup(void)
 
     slapi_pblock_get(pb, SLAPI_PLUGIN_INTOP_SEARCH_ENTRIES, &entries);
     if (NULL == entries) {
-        LDAPDebug(LDAP_DEBUG_ANY, "WARNING: entire cn=tasks tree seems to "
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "WARNING: entire cn=tasks tree seems to "
                   "be AWOL!\n", 0, 0, 0);
         slapi_pblock_destroy(pb);
         return;
@@ -2836,7 +2836,7 @@ void task_init(void)
 {
     global_task_lock = PR_NewLock();
     if (global_task_lock == NULL) {
-        LDAPDebug(LDAP_DEBUG_ANY, "unable to create global tasks lock! "
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "unable to create global tasks lock! "
                   "(that's bad)\n", 0, 0, 0);
         return;
     }
@@ -2866,7 +2866,7 @@ void task_shutdown(void)
             (task->task_state != SLAPI_TASK_FINISHED)) {
             task->task_state = SLAPI_TASK_CANCELLED;
             if (task->cancel) {
-                LDAPDebug(LDAP_DEBUG_ANY, "Cancelling task '%s'\n",
+                LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Cancelling task '%s'\n",
                           task->task_dn, 0, 0);
                 (*task->cancel)(task);
                 found_any = 1;
